[Mailman-Users] Mail wrapper error

Richard Barrett R.Barrett at ftel.co.uk
Mon Nov 4 17:37:23 CET 2002

At 03:50 03/11/2002, Forrest Aldrich wrote:
>I'm getting this error:
>Failure to exec script. WANTED gid 6, GOT gid 26.  (Reconfigure to take 26?)
>554 5.3.0 unknown mailer error 2
>And I know what it means, but it doesn't seem obvious as to where to 
>change this GID value without having to go in and recompile the entire 
>source tree.

The GIDs are compiled into the mail and cgi wrappers which is why you have 
to go back to config and make when the GIDs are wrong

>It would be nice to have a gui that can be used to tune all of these 
>variables in Mailman.  Is that planned for 2.1?

It would compromise the security gained from compiled setgid wrappers if 
you could change them after doing the make, so do not expect a change


More information about the Mailman-Users mailing list